using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.CustomerContact.Cqrs;

public class UpdateCustomerContactValidator : AbstractValidator<UpdateCustomerContactRequest>
{
    public UpdateCustomerContactValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required for update");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Contact Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.CustomerId)
            .NotEmpty().WithMessage("Customer is required");

        RuleFor(x => x.EmailAddress)
            .EmailAddress().When(x => !string.IsNullOrEmpty(x.EmailAddress));
    }
}